/*Custom css*/
select[multiple]{
    height: 31px;
}
.select2 {
    width: 100% !important;
}

.btn {
    font-size: 1rem;
    line-height: 1.6;
}

.btn-new{
    background-color: #008def;
    color: white;
}
.btn-new:hover{
    background-color: #0479ca;
    color: white;
}

.btn-view{
    background-color: #bfdfd9;
}

.btn-danger-icon{

}

.dt-body-center{
    text-align: center;
}

.table td, .table th{
    padding:0.4rem;
    vertical-align: middle;
}

.table{
    background-color: white;
}


label{
    margin-bottom: 0px;
}
/*SELECT*/
.select2-container--default.select2-container--disabled .select2-selection--single{
    background-color: #e9ecef;
}
/*Form*/
.form-control::placeholder {
    color: #a4a4a4;
}
label{
    margin-bottom: 0px;
    color:#646464;
}

input{
    margin-bottom: 10px;
}

select{
    margin-bottom: 10px;
}

select2-selection__clear{
    margin-right: 10px;
}

.form-control{
    font-size: 1.2rem;
    padding: .1rem .4rem;
    height: calc(1.5em + .4rem + 2px);
}
.select2{
    margin-bottom: 10px;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    color: #495057;
    font-size: 1.2rem;
    padding: .1rem .4rem;
    height: calc(1.2em + .4rem + 2px);
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: calc(1.9em + .4rem + 2px);
}

.select2-container .select2-selection--single {
    height: calc(1.9em + .4rem + 2px);
    padding-right: 15px;
}

.select2-container--default .select2-selection--single {
    border: 1px solid #ced4da;
}



/* Animazione di rotazione */
.loading-icon {
    animation: rotate 2s linear infinite;
}

/* Definizione dell'animazione */
@keyframes rotate {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(-360deg);
    }
}

/* Icona inizialmente senza animazione */
.loading-icon.stop {
    animation: none;
    color: grey;
}

.loading-toggled{
    width:70%;
}

.table thead th, .table tbody tr{
    font-size: 0.8rem;
}

/*.table thead th{
    background-color: #1c9589;
    color:white;
}
*/

.page-item.active .page-link{
    background-color: var(--active);
    border-color:  #0078cb;
}



/*input file*/
.file-container-label{
    display: block;
    background-color: #a6a7b5;
    color: white;
}

.file-container{
    padding-bottom: 10px;
    background-color: white;
}


.modulo-pagina{
    background-color: var(--lighter-blu-05);
    padding: 30px;
    border-radius: 20px;
}

@media (max-width:768px){
    .modulo-pagina{
        padding: 8px;
    }
}

.card-body{
    background-color: var(--main-blu);
    min-height: calc(100vh - 8.4rem);
}



.card-content{
    background-color: white;
    border-radius: 20px;
    padding: 20px;
}

.tumb-avatar{
    max-width: 58px;
    height: auto;
}

.active-avatar{
    border: 2px solid black;
}

.active-avatar .tumb-avatar{
    max-width: 54px;
}

.disabled-avatar{
    opacity: 0.4;
}

#switch-tab{
    -webkit-backdrop-filter: blur(4px);
    backdrop-filter: blur(4px);
}

.prenotazione{
    opacity: 0.5;
}

ul.nav.submenu {
    background: rgba(255, 255, 255, 0.1) none repeat scroll 0% 0%;
}

.m_top_image {
    max-height: 4rem;
}

.card-header{
    background-color: var(--lighter-blu-05);
    border-bottom: 1px solid rgba(0,0,0,.125);
}

.card{
    border: none;
}

#accordion .card-body{
    background-color: var(--lighter-blu-05);
}

#accordion .header{
    font-size: 1.2rem;
    color: var(--main-blu);
}

.card-prenotazione{
    margin-bottom: 30px;
    background-color: #fff;
    border-radius: 20px;
    padding: 10px 20px 10px 20px;
}

.accepted{
    border: 2px solid var(--primary) !important;
}

.card-annuncio{
    margin-bottom: 30px;
    background-color: #fff;
    border-radius: 20px;
    border-left: 8px solid grey;
    border-right: 8px solid grey;
    padding: 20px 20px 10px 20px;
}

.filter-btn>li {
    float: none;
    display: inline;
}

@media (max-width: 643px) {
    .filter-btn li button {
        margin: 10px;
    }

    .filter-btn li {
        width: 50%;
    }
}

@media (max-width: 457px) {
    .filter-btn li button {
        margin: 10px;
    }

    .filter-btn li {
        width: 100%;
    }
}

.filter-btn li:last-child {
    margin-right: 0;
}
.filter-btn li:first-child {
    margin-left: 0;
}

.filter-btn {
    position: relative;
    z-index: 1;
    display: inline-block;
}

@media (min-width: 644px) {
    .filter-btn:after {
        position: absolute;
        content: "";
        top: 50%;
        left: 0;
        width: 100%;
        height: 1px;
        background-color: #fff;
        z-index: -1;
    }
}


.filter-btn>li button {
    display: inline-block;
    background-color: #fff;
    border: none;
    border-radius: 30px;
    font-size: 14px;
    color: #000;
    padding: 5px 30px;
}

.filter-btn>li>button.active,
.filter-btn>li button.active>:focus,
.filter-btn>li>button.active:hover,
.filter-btn>li>button:hover {
    border: none;
    background-color: var(--main-blu);
    color: #fff;
}

.categoriaPrincipale, .categoriaPrincipale:hover{
    color: white;
    background-color: #008def;
    border-color: #008def;
}

.altreCategorie, .altreCategorie:hover{
    color: #008def;
}
.categoria, .categoria:hover{
    text-decoration: none;
    display: inline-block;
    padding: 3px 10px;
    border: 1px solid #008def;
    border-radius: 4px;
    line-height: 15px;
    font-size: 10px;
    margin-bottom: 5px;
    margin-right: 2px;
    transition: transform 0.3s ease;
}

.categoria:hover{
    transform: scale(1.1);
}

#annunci{
    padding-bottom: 20px;
}

.card-container{
    margin-left:auto;
    margin-right:auto;
    margin-top: 20px;
    padding-left: 15px;
    padding-right: 15px;
}

@media (max-width: 350px) {
    .card-container{
        margin-top: 20px;
        padding-left: 10px;
        padding-right: 10px;
    }
}

@media (max-width: 575px) {
    #card-sx {
        display: block !important; /* Costringe a un'interruzione a capo */
    }

}

@keyframes scaleAnimation {
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.2); /* Scala a 1.2 */
    }
    100% {
        transform: scale(1);
    }
}


#myTab .nav-link{
    border-top: 1px solid;
    border-left: 1px solid;
    border-right: 1px solid;
}

.btn-action{
    text-align: center;
    font-size: 14px;
    background-color: #fff;
    color: var(--primary);
    width: 35px;
    height: 35px;
    display: block;
    border-radius: 100%;
    border: 1px solid var(--primary);
    padding: 5px;
    margin-right: 10px;
}

.btn-action i{
    font-size: 14px;
}

.btn-action:hover{
    background-color: var(--primary);
    color: #fff;
}

.action-menu .dropdown-menu{
    border-color:var(--primary);
}

.action-menu .dropdown-menu a i{
    margin-right: 10px;
}

.action-menu .dropdown-item:hover {
    color: var(--primary);
    text-decoration: none;
    background-color: var(--lighter-blu-05);
}

.action-menu .dropdown-item {
    color: var(--primary);
}

.btn-menu {
    font-size: 2em;
}


.mobile-menu {
    position: fixed;
    width: 100vw !important;
    height: 100vh;
    top: 0px;
    left: 0px;
    transition: height 0.5s linear;
    background-color: var(--white);
    overflow-y: auto;
    z-index: 1050;
}

.mobile-menu-body {
    font-size: 1.5em;
}

.btn-close-menu {
    position: fixed;
    top: 1rem;
    right: 2rem;
    font-size: 2rem;
}

.modal-dialog{
    margin: auto;
}

.image-wrapper img {
    width: 100%;
    /*height: 100%;*/
    object-fit: cover;
    object-position: 0% 30%;
    transition: transform 1s;
}

.image-wrapper i {
    width: 100%;
    /*height: 100%;*/
    object-fit: cover;
    object-position: 0% 30%;
    transition: transform 1s;
}

.image-wrapper img:hover {
    transform: scale(120%);
}

.image-wrapper i:hover {
    transform: scale(120%);
}

.image-wrapper {
    position: relative;
    overflow: hidden;
    width: 100%;
}
.round-crop {
    overflow: hidden;
    width: 80px;
    height: 80px;
    border-radius: 50%;
}

.custom-checkbox:checked {
    background-color: var(--primary); /* Colore di sfondo quando selezionato */
}

.custom-checkbox{
    height:60px;
    width:60px;
    appearance: none;
    border-radius:10px;
    border: 1px solid var(--primary);
    outline: none; /* Rimuove l'effetto di outline */
    position: relative; /* Per la posizione del check */
}

.custom-checkbox:checked::after {
    content: ''; /* Aggiunge un segno di spunta */
    position: absolute;
    top: 6px; /* Posizione verticale */
    left: 20px; /* Posizione orizzontale */
    width: 20px; /* Larghezza del segno di spunta */
    height: 35px; /* Altezza del segno di spunta */
    border: solid white;
    border-width: 0 4px 4px 0; /* Crea il segno di spunta */
    transform: rotate(45deg); /* Ruota il segno di spunta */
}

.btn-info.disabled, .btn-info:disabled {
    background-color: #17a2b8b2;
    border-color: #17a2b88a;
}

.alert{
    border-radius: 0px;
}